> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# تحليل صورة مستند

> يحلّل صورة المستند إلى Markdown أو كتل محتوى مرتبة. تقبل Cohere Parse API الحالية روابط الصور البعيدة وURI لبيانات الصور بترميز base64؛ ولا تدعم بعد إدخالات PDF أو روابط الملفات.



## OpenAPI

````yaml ar/openapi/v1/openapi.localized.yaml POST /parse
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: >-
    واجهة API للبوابة تتيح الوصول إلى نماذج ذكاء اصطناعي متنوعة عبر نقاط نهاية
    متوافقة مع OpenAI.
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: التوجيه العالمي
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /parse:
    post:
      tags:
        - Gateway
      summary: تحليل صورة مستند
      description: >-
        يحلّل صورة المستند إلى Markdown أو كتل محتوى مرتبة. تقبل Cohere Parse
        API الحالية روابط الصور البعيدة وURI لبيانات الصور بترميز base64؛ ولا
        تدعم بعد إدخالات PDF أو روابط الملفات.
      operationId: createParse
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ParseRequest'
      responses:
        '200':
          description: مستند تم تحليله
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParseResponse'
components:
  schemas:
    ParseRequest:
      type: object
      additionalProperties: false
      required:
        - model
        - document
      properties:
        model:
          type: string
          example: cohere/parse-v5.0
        document:
          type: object
          additionalProperties: false
          required:
            - type
            - image_url
          properties:
            type:
              type: string
              enum:
                - image_url
            image_url:
              type: string
              description: >-
                عنوان URL بعيد لصورة عبر HTTP(S) أو URI لبيانات صورة بترميز
                base64. الحد الأقصى 20 MB و50 ميغابكسل، أو 200 MB بعد فك
                الترميز.
        output_format:
          type: string
          enum:
            - markdown
            - blocks
          default: markdown
        echo_upstream_request:
          type: boolean
        debug:
          $ref: '#/components/schemas/DebugOptions'
        provider:
          $ref: '#/components/schemas/ProviderRoutingOptions'
        routing:
          $ref: '#/components/schemas/ProviderRoutingOptions'
    ParseResponse:
      type: object
      required:
        - id
        - object
        - model
        - provider
        - pages
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - parse
        model:
          type: string
        provider:
          type: string
        pages:
          type: array
          items:
            $ref: '#/components/schemas/ParsePage'
        meta:
          type: object
          additionalProperties: true
        usage:
          type: object
          additionalProperties: true
    DebugOptions:
      type: object
      description: >-
        عناصر تحكم تصحيح أخطاء البوابة. لا تُمرر هذه العلامات إلى المزوّد
        مطلقًا.
      properties:
        enabled:
          type: boolean
        return_upstream_request:
          type: boolean
        return_upstream_response:
          type: boolean
        trace:
          type: boolean
        trace_level:
          type: string
          enum:
            - summary
            - full
    ProviderRoutingOptions:
      type: object
      description: تفضيلات توجيه المزوّد لاختياره عبر البوابة.
      properties:
        order:
          type: array
          items:
            type: string
        only:
          type: array
          items:
            type: string
        ignore:
          type: array
          items:
            type: string
        include_alpha:
          type: boolean
          description: تضمين مزوّدي alpha في التوجيه (معطّل افتراضيًا).
        allow_fallbacks:
          type: boolean
          nullable: true
          description: السماح بالتحويل إلى مزوّد مؤهل آخر بعد الفشل.
        require_parameters:
          type: boolean
          nullable: true
          description: اشتراط دعم المزوّد للمعلمات المطلوبة قبل التوجيه.
        required_execution_region:
          type: string
          nullable: true
          description: قصر التوجيه على المزوّدين الذين لديهم منطقة التنفيذ المطلوبة.
        required_data_region:
          type: string
          nullable: true
          description: قصر التوجيه على المزوّدين الذين لديهم منطقة البيانات المطلوبة.
        require_zero_data_retention:
          type: boolean
          nullable: true
          description: >-
            قصر التوجيه على المزوّدين الذين يدعمون الاحتفاظ بالبيانات لمدة
            صفرية.
        data_collection:
          type: string
          nullable: true
          enum:
            - allow
            - deny
        zdr:
          type: boolean
          nullable: true
        enforce_distillable_text:
          type: boolean
          nullable: true
        quantizations:
          type: array
          nullable: true
          items:
            type: string
        sort:
          oneOf:
            - type: string
            - type: object
              additionalProperties: true
          description: >-
            رتّب المزوّدين لهذا الطلب، مثلاً حسب السعر أو زمن الاستجابة أو معدل
            النقل.
        max_price:
          type: object
          properties:
            prompt:
              oneOf:
                - type: number
                - type: string
            completion:
              oneOf:
                - type: number
                - type: string
            image:
              oneOf:
                - type: number
                - type: string
            audio:
              oneOf:
                - type: number
                - type: string
            request:
              oneOf:
                - type: number
                - type: string
        preferred_min_throughput:
          oneOf:
            - type: number
            - type: object
              additionalProperties:
                type: number
        preferred_max_latency:
          oneOf:
            - type: number
            - type: object
              additionalProperties:
                type: number
    ParsePage:
      oneOf:
        - type: object
          required:
            - type
            - index
            - markdown
          properties:
            type:
              type: string
              enum:
                - markdown
            index:
              type: integer
              minimum: 0
            markdown:
              type: object
              required:
                - content
              properties:
                content:
                  type: string
                images:
                  type: array
                  items:
                    $ref: '#/components/schemas/ParseImage'
        - type: object
          required:
            - type
            - index
            - blocks
          properties:
            type:
              type: string
              enum:
                - blocks
            index:
              type: integer
              minimum: 0
            blocks:
              type: array
              items:
                $ref: '#/components/schemas/ParseBlock'
    ParseImage:
      type: object
      required:
        - id
        - description
        - category
        - bounding_box
        - bounding_box_normalized
      properties:
        id:
          type: string
        description:
          type: string
        category:
          type: string
          enum:
            - other
            - flowchart
            - logo
            - signature
        bounding_box:
          $ref: '#/components/schemas/ParseBoundingBox'
        bounding_box_normalized:
          $ref: '#/components/schemas/ParseBoundingBox'
    ParseBlock:
      oneOf:
        - type: object
          required:
            - type
            - text
          properties:
            type:
              type: string
              enum:
                - text
            text:
              type: object
              required:
                - content
              properties:
                content:
                  type: string
        - type: object
          required:
            - type
            - image
          properties:
            type:
              type: string
              enum:
                - image
            image:
              $ref: '#/components/schemas/ParseImage'
        - type: object
          required:
            - type
            - table
          properties:
            type:
              type: string
              enum:
                - table
            table:
              type: object
              required:
                - type
                - html
                - bounding_box
                - bounding_box_normalized
              properties:
                type:
                  type: string
                  enum:
                    - html
                html:
                  type: string
                title:
                  type: string
                description:
                  type: string
                bounding_box:
                  $ref: '#/components/schemas/ParseBoundingBox'
                bounding_box_normalized:
                  $ref: '#/components/schemas/ParseBoundingBox'
    ParseBoundingBox:
      type: object
      required:
        - top_left_x
        - top_left_y
        - bottom_right_x
        - bottom_right_y
      properties:
        top_left_x:
          type: number
        top_left_y:
          type: number
        bottom_right_x:
          type: number
        bottom_right_y:
          type: number
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: المصادقة باستخدام رمز Bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.